import axios from '@/libs/api.request'

// export const GetConfigAppFrontHome = () => {
//   return axios.request({
//     method: 'get',
//     url: '?r=AjaxApiMallConfig/GetConfigAppFrontHome'
//   })
// }
export const GetSiteData = () => {
  return axios.request({
    method: 'get',
    url: 'platform.php?s=Platform.Site.Index'
  })
}
// 创建订单
export const CreateOrder = (data) => {
  return axios.request({
    method: 'post',
    url: 'platform.php?s=Platform.Mall_Mall.CreateOrder',
    data
  })
}
// 准备下单
export const PreviewOrder = (data) => {
  return axios.request({
    method: 'post',
    url: 'platform.php?s=Platform.Mall_Mall.PreviewOrder',
    data
  })
}
// 在线支付
export const PreviewPay = (data) => {
  return axios.request({
    method: 'post',
    url: 'platform.php?s=Platform.Mall_Mall.PreviewPay',
    data
  })
}
// 开始支付
export const StartPay = (data) => {
  return axios.request({
    method: 'post',
    url: 'platform.php?s=Platform.Mall_Mall.StartPay',
    data
  })
}
// 支付成功
export const PaySuccess = (data) => {
  return axios.request({
    method: 'post',
    url: 'platform.php?s=Platform.Mall_Mall.PaySuccess',
    data
  })
}
// 获取我的订单列表
export const GetMyOrderList = (data) => {
  return axios.request({
    method: 'post',
    url: 'platform.php?s=Platform.Mall_Mall.GetMyOrderList',
    data
  })
}
// 获取我的流量套餐
export const GetMyFlowList = (data) => {
  return axios.request({
    method: 'post',
    url: 'platform.php?s=Platform.Mall_Mall.GetMyFlowList',
    data
  })
}

// 前台组合套餐列表
export const GetProductMoreList = (data) => {
  return axios.request({
    method: 'post',
    url: 'platform.php?s=Platform.Mall_Mall.GetProductMoreList',
    data
  })
}
